疯狂java


您现在的位置: 疯狂软件 >> 新闻资讯 >> 正文

Eclipse编辑spring配置文件时提示功能


 

 我们使用eclipse编辑spring配置文件时,经常没有提示,而无从下手时。 现在我们就来解决没有提示的问题。

    原因是因为eclipse中没有配置xsd文件

    步骤一:把如下头文件拷贝到你的spring配置文件中。

    <?xml version="1.0" encoding="UTF-8"?>

    <beans xmlns="http://www.springframework.org/schema/beans

    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

    xmlns:aop="http://www.springframework.org/schema/aop"

    xmlns:tx="http://www.springframework.org/schema/tx"

    xmlns:jdbc="http://www.springframework.org/schema/jdbc"

    xmlns:context="http://www.springframework.org/schema/context"

    xmlns:util="http://www.springframework.org/schema/util"

    xsi:schemaLocation="http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd

    http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd

    http://www.springframework.org/schema/jdbc http://www.springframework.org/schema/jdbc/spring-jdbc-3.0.xsd

    http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.0.xsd

    http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.0.xsd

    http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">

    </beans>

    步骤二:根据头文件的中的链接点击去下载spring对应版本的。xsd文件 到本地

    步骤三:下载好之后,接下来就是要添加到eclipse中。

    在eclipse菜单中进入

    window->prefernces->XML->XML Catalog->Add ->File System,然后选择刚才下载下来的。xsd文件

    location:比如C:spring-beans-2.5.xsd

    key type:选择Schema Location

    key:填写springframework.org/schema/beans/spring-beans-3.0.xsd

    添加完成之后,重启eclipse 看看是否有提示 如果还没有就多添加几个版本的。xsd文件试试。